[问题]升级系统后无法进入图形界面

为当前最终发行版之前的所有版本提供支持
cui88
帖子: 40
注册时间: 2007-10-25 16:30
送出感谢: 0
接收感谢: 0

[问题]升级系统后无法进入图形界面

#1

帖子 cui88 » 2007-12-04 13:52

今天早上开机后看到提示有可升级的,就点了升级,也没注意看升级的是什么东东,完了后还可以使用,但是有事离开下自动开启屏保,回来后就无法显示图形界面了,动下鼠标和按键,密码输入栏一闪就没了,后强制重启可以登录,但是一到桌面就一闪一闪的接着就只有桌面背景了。搜索了下,有个相关帖试了下
登入修复界面用startx
sudo dpkg -reconfigure Xserver -xorg
sudo apt -gt-f install
这些都试了,可问题依旧。
怎么解决 啊?? :cry: :cry:
不是要重装吧???
如果重装是不是要删除grub?
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#2

帖子 BigSnake.NET » 2007-12-04 13:53

cat ~/.xsession-error

贴出内容
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
cui88
帖子: 40
注册时间: 2007-10-25 16:30
送出感谢: 0
接收感谢: 0

#3

帖子 cui88 » 2007-12-04 13:54

我现在在win下怎么贴啊?
april_linux
帖子: 144
注册时间: 2005-10-05 23:03
送出感谢: 0
接收感谢: 0

#4

帖子 april_linux » 2007-12-04 15:01

今天升级重启后可以进入桌面,但打开窗口后没有边框,新立得也用不了,简直根本没法用了,不知是普遍现象还是个别现象?
UGlee
帖子: 9
注册时间: 2006-07-23 22:43
送出感谢: 0
接收感谢: 0

#5

帖子 UGlee » 2007-12-04 16:54

是普遍现象,我今天也遇到了这个问题。还没有思路。我隐约记得早上升级的软件包和gnome有关。出现的问题也和窗口有关。但是目前还不知道怎么解决。我的Firefox经常崩溃,Epiphany也是如此,VMWare无法启动。

我现在的解决思路有两个,一个是怀疑Gnome的问题,我正在下载安装KDE:

sudo apt-get install kubuntu-desktop

另外也可能是显示驱动问题,我在用nvidia的restricted driver,但是我目前还不知道如何在命令行下把这个东西禁止掉,在Gnome桌面中已经无法运行那个管理器程序了。
april_linux
帖子: 144
注册时间: 2005-10-05 23:03
送出感谢: 0
接收感谢: 0

#6

帖子 april_linux » 2007-12-04 18:14

有时间机器就好了,返回到升级前的状态.
traits
帖子: 1
注册时间: 2007-12-04 19:50
送出感谢: 0
接收感谢: 0

#7

帖子 traits » 2007-12-04 19:54

我也是这个问题,更新后,这些图形界面的程序就出问题了,有些闪很多下。
有些起不起来了,直接crash。
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#8

帖子 BigSnake.NET » 2007-12-04 19:59

用新立得强制 libcairo2 为版本 1.4.10-1ubuntu4

这样试试
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
april_linux
帖子: 144
注册时间: 2005-10-05 23:03
送出感谢: 0
接收感谢: 0

#9

帖子 april_linux » 2007-12-04 20:37

问题是新立得用不了.
难道这些更新不会经过测试吗?
UGlee
帖子: 9
注册时间: 2006-07-23 22:43
送出感谢: 0
接收感谢: 0

#10

帖子 UGlee » 2007-12-04 21:00

sudo apt-get install libcairo2=1.4.10-1ubuntu4

我刚刚执行了这个命令,降级成功,准备重启机器看看效果,兄弟们,祝我好运吧。
UGlee
帖子: 9
注册时间: 2006-07-23 22:43
送出感谢: 0
接收感谢: 0

#11

帖子 UGlee » 2007-12-04 21:12

兄弟们,我活着回来了。大蛇点奶特,你在上海吗?我想去亲你一口啊。。。

你怎么知道是libcairo2的问题啊?
april_linux
帖子: 144
注册时间: 2005-10-05 23:03
送出感谢: 0
接收感谢: 0

#12

帖子 april_linux » 2007-12-04 21:48

UGlee 写了:sudo apt-get install libcairo2=1.4.10-1ubuntu4

我刚刚执行了这个命令,降级成功,准备重启机器看看效果,兄弟们,祝我好运吧。
降级成功,谢谢
holin
帖子: 13
注册时间: 2005-11-04 10:12
送出感谢: 0
接收感谢: 0

#13

帖子 holin » 2007-12-04 23:26

郁闷啊。我重装两道了都。伤心,这样普遍的问题都拿出来升级,伤透心了。打算折腾Mac去了。
cui88
帖子: 40
注册时间: 2007-10-25 16:30
送出感谢: 0
接收感谢: 0

#14

帖子 cui88 » 2007-12-05 7:51

原来大家都有这种情况啊~~是不是可以报错呢??还是说只有中文的系统才会这样?有没有那位达人试过???期待答案......
头像
ljj_jjl2008
论坛版主
帖子: 14253
注册时间: 2007-09-16 8:29
送出感谢: 94 次
接收感谢: 231 次

#15

帖子 ljj_jjl2008 » 2007-12-05 7:56

我用kubuntu,很稳定的,推荐换kde
回复

回到 “老旧版本支持”